List configs
GET
/v1/config/
const url = 'https://example.com/v1/config/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/config/ \ --header 'Authorization: Bearer <token>'Return all configuration entries for the current account.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”account
string format: uuid
agent_type
string format: uuid
cursor
string
The pagination cursor value.
page_size
integer
Number of results to return per page.
search
string
A search term.
type
Array<integer>
1- Number of Servers2- Number of Monitors3- Number of Recording Rules4- Number of metrics for Recording Rules5- Log Size Limit (Bytes)10- Number of metrics per Agent Type1010- Docker Integration1020- AWS Integration1030- SNMP Integration1040- vSphere Integration1050- Log Integration1051- Log Retention Days1060- Custom Dashboard1070- Live Process Monitoring1071- Live Process Resolution (Seconds)1080- Weekly Report1081- Monthly Report1090- Public Status Page Integration1100- Forecast Linear Integration1101- Forecast Anomaly Integration1200- Metrics Display Limit1201- Metrics Retention Days1300- Events Display Limit1301- Events Retention Days1400- Number of Custom Metrics1500- Agent Requests Per Minute1501- Agent Requests Per Hour1600- User Requests Per Minute1601- User Requests Per Hour1700- Recording Rules Max Time5000- Active Integrations10000- Agent Metrics Allowlist11000- Agent Metrics Resolution
Responses
Section titled “Responses”Media typeapplication/json
object
next
string format: uri
previous
string format: uri
results
required
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
type
required
1- Number of Servers2- Number of Monitors3- Number of Recording Rules4- Number of metrics for Recording Rules5- Log Size Limit (Bytes)10- Number of metrics per Agent Type1010- Docker Integration1020- AWS Integration1030- SNMP Integration1040- vSphere Integration1050- Log Integration1051- Log Retention Days1060- Custom Dashboard1070- Live Process Monitoring1071- Live Process Resolution (Seconds)1080- Weekly Report1081- Monthly Report1090- Public Status Page Integration1100- Forecast Linear Integration1101- Forecast Anomaly Integration1200- Metrics Display Limit1201- Metrics Retention Days1300- Events Display Limit1301- Events Retention Days1400- Number of Custom Metrics1500- Agent Requests Per Minute1501- Agent Requests Per Hour1600- User Requests Per Minute1601- User Requests Per Hour1700- Recording Rules Max Time5000- Active Integrations10000- Agent Metrics Allowlist11000- Agent Metrics Resolution
integer
account
string format: uuid
agent_type
string format: uuid
actual_count
required
integer
value
Example
{ "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"", "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3", "results": [ { "type": 1 } ]}